Last modified: 2014-02-03 22:41:26 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 21881 - Update archive table for old user renames
Update archive table for old user renames
Status: RESOLVED FIXED
Product: Wikimedia
Classification: Unclassified
Site requests (Other open bugs)
unspecified
All All
: Low normal (vote)
: ---
Assigned To: Sam Reed (reedy)
:
Depends on:
Blocks: 16660 29757
  Show dependency treegraph
 
Reported: 2009-12-17 12:32 UTC by Danny B.
Modified: 2014-02-03 22:41 UTC (History)
3 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Danny B. 2009-12-17 12:32:04 UTC
archive.ar_user_text isn't updated after user rename while revision.rev_user_text is.
Comment 1 Aaron Schulz 2009-12-17 14:47:12 UTC
ar_user and ar_user_text are updated. It's been that way for a long time (though not always).
Comment 2 Danny B. 2009-12-17 18:47:20 UTC
Ah, then there should be some update ran to synchronize those names which hasn't been changed before the software allowed it, since currently there are still old names kept.

Perhaps change the summary then?
Comment 3 Aaron Schulz 2010-05-24 19:11:35 UTC
Changed summary. Maybe a script can be made for people with edits left to be renamed.
Comment 4 db [inactive,noenotif] 2011-12-19 18:33:37 UTC
see bug 31863
Comment 5 Sam Reed (reedy) 2013-01-17 19:53:48 UTC
There seems to be literally tonnes of these:

SELECT ar_rev_id, ar_namespace, ar_title, ar_timestamp, ar_user_text, user_name  FROM archive, user WHERE ar_user_text <> user_name AND ar_user = user_id AND user_id > 0 LIMIT 50;

http://p.defau.lt/?5kEzIqwNXuKkuwDEy_Zd6A
Comment 6 Sam Reed (reedy) 2013-01-17 22:24:14 UTC
https://gerrit.wikimedia.org/r/44522
Comment 7 Sam Reed (reedy) 2013-01-18 00:24:06 UTC
Done on the site

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links